# eric3.XML.ProjectWriter

Module implementing the writer class for writing an XML project file.

### Classes

ProjectWriter | Class implementing the writer class for writing an XML project file.

### Functions

None

## ProjectWriter

Class implementing the writer class for writing an XML project file.

### Derived from

XMLWriterBase

### Methods

ProjectWriter | Constructor
writeXML | Public method to write the XML to the file.

### ProjectWriter (Constructor)

ProjectWriter(file, projectName)

Constructor

file
  open file (like) object for writing
projectName
  name of the project (string)

### ProjectWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up